commit: a3b64e48f23f18b88db54a99e2084470b9703fb1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 16 09:53:18 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 16 11:01:15 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3b64e48
dev-python/more-itertools: Enable py3.8, modernize
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../more-itertools/more-itertools-5.0.0.ebuild | 26 +++++++++++++---------
.../more-itertools/more-itertools-7.0.0.ebuild | 23 +++++++++++--------
2 files changed, 29 insertions(+), 20 deletions(-)
diff --git a/dev-python/more-itertools/more-itertools-5.0.0.ebuild
b/dev-python/more-itertools/more-itertools-5.0.0.ebuild
index 76d7ff3d2c9..f1084c6e2e4 100644
--- a/dev-python/more-itertools/more-itertools-5.0.0.ebuild
+++ b/dev-python/more-itertools/more-itertools-5.0.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+PYTHON_COMPAT=( python{2_7,3_{5,6,7,8}} pypy{,3} )
inherit distutils-r1
@@ -14,26 +14,30 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
+IUSE="doc"
RDEPEND="<dev-python/six-2.0[${PYTHON_USEDEP}]"
-DEPEND="
+BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ $(python_gen_any_dep '
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ ' python3_{5,6,7} pypy{,3})
)
- test? ( ${RDEPEND} )
"
+distutils_enable_tests unittest
+
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
+}
+
python_compile_all() {
if use doc; then
sphinx-build docs docs/_build/html || die
HTML_DOCS=( docs/_build/html/. )
fi
}
-
-python_test() {
- "${EPYTHON}" -m unittest discover -v || die "tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/more-itertools/more-itertools-7.0.0.ebuild
b/dev-python/more-itertools/more-itertools-7.0.0.ebuild
index 9671e3461b2..b68c576d0f8 100644
--- a/dev-python/more-itertools/more-itertools-7.0.0.ebuild
+++ b/dev-python/more-itertools/more-itertools-7.0.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7} pypy{,3} )
+PYTHON_COMPAT=( python3_{5,6,7,8} pypy{,3} )
inherit distutils-r1
@@ -16,22 +16,27 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc"
-RDEPEND=""
-DEPEND="
+BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ $(python_gen_any_dep '
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ ' python3_{5,6,7} pypy{,3})
)
"
+distutils_enable_tests unittest
+
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
+}
+
python_compile_all() {
if use doc; then
sphinx-build docs docs/_build/html || die
HTML_DOCS=( docs/_build/html/. )
fi
}
-
-python_test() {
- "${EPYTHON}" -m unittest discover -v || die "tests fail with ${EPYTHON}"
-}